package com.YuyeTech.HeartRate.service;

import com.YuyeTech.HeartRate.dataobject.ProductCategory;

import java.util.List;

/**
 * @author:slambb
 * @date:2019/12/2
 * 接口在impl 中实现
 */

public interface CategoryService {
    ProductCategory findOne(Integer categoryId);

    List<ProductCategory> findAll();

    List<ProductCategory> findByCategoryTypeIn(List<Integer> categoryTypeList);

    ProductCategory save(ProductCategory productCategory);
}

